This is the mail archive of the elfutils-devel@sourceware.org mailing list for the elfutils project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[PATCH 2/5] tests: backtrace-subr.sh skip check_native_core test if core ulimit fails.


Signed-off-by: Mark Wielaard <mjw@redhat.com>
---
 tests/ChangeLog         | 5 +++++
 tests/backtrace-subr.sh | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/tests/ChangeLog b/tests/ChangeLog
index 63692e3..0c112cf 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,5 +1,10 @@
 2014-01-04  Mark Wielaard  <mjw@redhat.com>
 
+	* backtrace-subr.sh (check_native_core): Skip, exit 77, the test
+	if we cannot adjust core ulimit.
+
+2014-01-04  Mark Wielaard  <mjw@redhat.com>
+
 	* cleanup-13.c (force_unwind_stop): Removed.
 	(force_unwind): Just call abort. Don't setup _Unwind_Exception and
 	don't call _Unwind_ForcedUnwind.
diff --git a/tests/backtrace-subr.sh b/tests/backtrace-subr.sh
index 580a1ce..e7ece91 100644
--- a/tests/backtrace-subr.sh
+++ b/tests/backtrace-subr.sh
@@ -109,7 +109,8 @@ check_native_core()
   SAVED_VALGRIND_CMD="$VALGRIND_CMD"
   unset VALGRIND_CMD
 
-  core="core.`ulimit -c unlimited; set +ex; testrun ${abs_builddir}/$child --gencore; true`"
+  # Skip the test if we cannot adjust core ulimit.
+  core="core.`ulimit -c unlimited || exit 77; set +ex; testrun ${abs_builddir}/$child --gencore; true`"
 
   if [ "x$SAVED_VALGRIND_CMD" != "x" ]; then
     VALGRIND_CMD="$SAVED_VALGRIND_CMD"
-- 
1.8.4.2


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]